# Interface Log

Contains information about a transaction. Most of the fields have been made optional; only those needed by the decoder have been made mandatory.

Intended to work like Web3's Log type.

#### Hierarchy

- Log
  - DecodedLog

- Defined in decoder/lib/types.ts:299

#####
Index

### Properties

address
blockHash?
blockNumber
data
logIndex?
topics
transactionHash?
transactionIndex?

## Properties

### address

address: string

Address of the emitter (as checksummed hex string).

- Defined in decoder/lib/types.ts:303

### `Optional` blockHash

blockHash?: string

The block hash (as hex string). Null if pending.

- Defined in decoder/lib/types.ts:328

### blockNumber

blockNumber: number

The block number. Null if pending.

- Defined in decoder/lib/types.ts:332

### data

data: string

The log's data section (as hex string).

- Defined in decoder/lib/types.ts:307

### `Optional` logIndex

logIndex?: number

Index of the log within the block.

- Defined in decoder/lib/types.ts:315

### topics

topics: string[]

The log's topics; each is a hex string representing 32 bytes.

- Defined in decoder/lib/types.ts:311

### `Optional` transactionHash

transactionHash?: string

The emitting transaction's hash (as hex string).

- Defined in decoder/lib/types.ts:324

### `Optional` transactionIndex

transactionIndex?: number

Index within the block of the emitting transaction; null if block is pending.

- Defined in decoder/lib/types.ts:320

Generated using TypeDoc